    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.util.comparators;
    020
    021import java.io.Serializable;
    022import java.security.Principal;
    023import java.text.Collator;
    024import java.util.Comparator;
    025
    026
    027/**
    028 * Comparator class for sorting objects of type Principal. Used for sorting arrays or collections of Principals.
    029 *
    030 * @since 2.3
    031 */
    032public class PrincipalComparator implements Comparator< Principal >, Serializable {
    033
    034    private static final long serialVersionUID = 1L;
    035
    036    /**
    037     * Compares two Principal objects.
    038     *
    039     * @param o1 the first Principal
    040     * @param o2 the second Principal
    041     * @return the result of the comparison
    042     * @see java.util.Comparator#compare(Object, Object)
    043     */
    044    @Override
    045    public int compare( final Principal o1, final Principal o2 ) {
    046        final Collator collator = Collator.getInstance();
    047        return collator.compare( o1.getName(), o2.getName() );
    048    }
    049
    050}